via
Rupture
2,49€ ttc
3,32€ ttc
4,16€ ttc
5,82€ ttc
7,49€ ttc
8,33€ ttc
Comment installer un plugin (Essentials) par FTP ?

Depuis votre panel avec le menu Plugins, vous pouvez installer tous les plugins disponibles sur le site bukkit.org. Or il se trouve que certains plugins ne soient plus mis à jour par le créateur, du coup il faut se tourner vers d'autres sources de téléchargement et envoyer par FTP les plugins qui vous intéressent. De plus, si vous êtes développeur de plugins, vous pouvez aussi envoyer votre propre plugin par FTP.

Dans ce guide nous allons installer le plugin Essentials depuis le menu plugins sur un serveur Craftbukkit en 1.8.8.
Vous verrez qu'il n'est plus mis à jour depuis la version 1.7.9. Vous serez ainsi capable de voir depuis la console un plugin qui n'est pas à la bonne version.

Tout d'abord, si vous voulez avoir des plugins sur le serveur vous avez besoin l'un de ces packs suivants installés sur votre serveur:

Il vous faudra le client Filezilla pour vous connecter sur votre serveur, à télécharger ici.


1. Vous pouvez vérifier depuis le menu "Configuration" la version du serveur. Actuellement le serveur est en Craftbukkit 1.8.8, donc on           peut passer à la suite. Sinon changez la version de votre serveur en suivant ce tutoriel => ici.

2. Cliquez à gauche sur le bouton "Plugins" pour accéder au menu d'installation.



Dans la barre de recherche vous pouvez chercher: Essentials.

3. Une fois que vous l'avez trouvé, vous verrez toutes les versions disponibles, ici on remarque très bien que la dernière version est en             1.7.9, on peut se douter qu'il ne va pas fonctionner avec Bukkit en 1.8.8. Procédons quand même à l'installation pour vérifier.

4. Cliquez sur le symbole de la flèche pour l'installer.



Veuillez patienter pendant l'installation.



Dans cette partie importante qui est la console, on peut distinguer toutes les erreurs liés aux plugins, maps, serveur etc...

5. La console indique en temps réel que le plugin n'est pas installé avec le message d'erreur suivant en rouge:

[Server thread/ERROR]: Could not load 'plugins/EssentialsChat-2.x-SNAPSHOT.jar' in folder 'plugins'

Au final ne pas installer la bonne version du plugin rendra celui-ci inutilisable dans le jeu.



Nous allons voir ensemble comment résoudre ce problème. Avant de passer à la suite, n'oubliez pas de supprimer l'ancien fichier jar d'Essentials depuis la partie "Plugins".

Voici le lien vers la version d'Essentials encore à jour: https://hub.spigotmc.org/jenkins/job/Spigot-Essentials/

6. Téléchargez le plugin nommé: Essentials-2.x-SNAPSHOT.jar



7. Rendez vous dans le menu "FTP/MySQL" pour accéder à vos informations de connexion.

8. Lancez Filezilla et entrez les accès FTP, puis connectez-vous.



9. Récupérez le fichier d'Essentials que vous avez téléchargé et envoyez le dans le dossier "plugins" du serveur.


Après ceci, il ne vous reste plus qu'à redémarrer le serveur pour que le plugin se lance.